Access Point

Endpoints for an organisation to manage their own access points, which is mostly only relevant in whitelabel mode since it is then an organisation must create access points.

The /orgs/:orgId/aps/alltouse endpoint is relevant for all modes since it also lists available shared access points.

Endpoints

For information only. Full, normative endpoint definitions in the Swagger documentation.

EndpointDescriptionRole
GET /orgs/:orgId/apsList all Access Points that this organisation ownsorgadmin
GET /orgs/:orgId/aps/alltouseList all Access Points that this organisation can use. This includes the organisation's own Access Points but also Access Points higher up in the organisation hierarchy that this organisation is allowed to use.orgmember
POST /orgs/:orgId/apsCreate a new Access Pointorgadmin
GET /orgs/:orgId/aps/:apIdGet an Access Pointorgadmin
PUT /orgs/:orgId/aps/:apIdUpdate an Access Pointorgadmin
POST /orgs/:orgId/aps/batch-deleteDelete one or more Access Pointsorgadmin

Example AccessPoint datatype

{
  "id": "a1b2c3d4-e5f6-7890-abcd-1234567890ef",
  "type": "AP",
  "orgId": "f7e6d5c4-b3a2-1098-7654-3210fedcba98",
  "name": "My Access Point",
  "description": "Production access point for Peppol AS4 messaging",
  "apUrl": "https://ap.arratech.com/f7e6d5c4-b3a2-1098-7654-3210fedcba98/a1b2c3d4-e5f6-7890-abcd-1234567890ef",
  "certificateRef": "0f1e2d3c-4b5a-6978-90ab-cdef12345678",
  "transportProfile": "peppol-transport-as4-v2_0",
  "environment": "PROD",
  "createdBy": {
    "userId": "123e4567-e89b-12d3-a456-426614174000"
  },
  "createdAt": "2025-06-17T12:49:59.091Z",
  "lastModifiedBy": {
    "userId": "123e4567-e89b-12d3-a456-426614174000"
  },
  "lastModifiedAt": "2025-06-17T12:50:51.738Z"
}